#pragma once

#include <string>
#include "vec2.h"

struct settings {
	settings() :
		scale(3),
		size(vec2i(640, 360)),
		target_fps(60),
		title("Blooblib v0.0"),
		show_logo(true)
	{}

	int scale;
	vec2i size;
	int target_fps;
	std::string title;
	bool show_logo;
};
